/*
 *  Copyright 2009 by Texas Instruments Incorporated.
 *  @(#) DSP/BIOS_Kernel 5,2,5,19 09-01-2009 (cuda-u19)
 */
/*
 *  ======== bioshelp.h ========
 *  This header defines the "help topic ids" used in the context
 *  sensitive help for the BIOS version of the configuration tool.
 *
 *  This header is, therefore, shared by both the sources for
 *  bios.cdb *and* the ROBO-Help project biosconf.  Since ROBO-Help
 *  is not a true C-preprocessor the statements in this file must
 *  be kept to "simple" #define statements; i.e., only constant
 *  numbers can be used on the right.
 *
 */

#define BIOSHELP_STATUS_GLOBAL  100

#define BIOSHELP_PROJ_GLOBAL    101
#define BIOSHELP_PROJ_INSTANCE  201

#define BIOSHELP_CLK_GLOBAL     102
#define BIOSHELP_CLK_INSTANCE   202

#define BIOSHELP_GBL_GLOBAL     103

#define BIOSHELP_HST_GLOBAL     104
#define BIOSHELP_HST_INSTANCE   204

#define BIOSHELP_HWI_GLOBAL     105
#define BIOSHELP_HWI_INSTANCE   205

#define BIOSHELP_IDL_GLOBAL     106
#define BIOSHELP_IDL_INSTANCE   206

#define BIOSHELP_LOG_GLOBAL     107
#define BIOSHELP_LOG_INSTANCE   207

#define BIOSHELP_MEM_GLOBAL     108
#define BIOSHELP_MEM_INSTANCE   208

#define BIOSHELP_PIP_GLOBAL     109
#define BIOSHELP_PIP_INSTANCE   209

#define BIOSHELP_PRD_GLOBAL     110
#define BIOSHELP_PRD_INSTANCE   210

#define BIOSHELP_SWI_GLOBAL     111
#define BIOSHELP_SWI_INSTANCE   211

#define BIOSHELP_STS_GLOBAL     112
#define BIOSHELP_STS_INSTANCE   212

#define BIOSHELP_RTDX_GLOBAL    113
#define BIOSHELP_RTDX_INSTANCE  213

#define BIOSHELP_DGN_GLOBAL     302
#define BIOSHELP_DGN_INSTANCE   402

#define BIOSHELP_DHL_GLOBAL     303
#define BIOSHELP_DHL_INSTANCE   403

#define BIOSHELP_DPI_GLOBAL     304
#define BIOSHELP_DPI_INSTANCE   404

#define BIOSHELP_LCK_GLOBAL     306
#define BIOSHELP_LCK_INSTANCE   406

#define BIOSHELP_MBX_GLOBAL     307
#define BIOSHELP_MBX_INSTANCE   407

#define BIOSHELP_QUE_GLOBAL     309
#define BIOSHELP_QUE_INSTANCE   409

#define BIOSHELP_SEM_GLOBAL     310
#define BIOSHELP_SEM_INSTANCE   410

#define BIOSHELP_SIO_GLOBAL     311
#define BIOSHELP_SIO_INSTANCE   411

#define BIOSHELP_SWO_GLOBAL     312
#define BIOSHELP_SWO_INSTANCE   412

#define BIOSHELP_SYS_GLOBAL     313
#define BIOSHELP_SYS_INSTANCE   413

#define BIOSHELP_TSK_GLOBAL     314
#define BIOSHELP_TSK_INSTANCE   414

#define BIOSHELP_UDEV_GLOBAL    315
#define BIOSHELP_UDEV_INSTANCE  415

#define BIOSHELP_SDB_GLOBAL     316
#define BIOSHELP_SDB_INSTANCE   416

#define BIOSHELP_HOOK_GLOBAL    318
#define BIOSHELP_HOOK_INSTANCE  418

#define BIOSHELP_DIO_GLOBAL     319
#define BIOSHELP_DIO_INSTANCE   419

#define BIOSHELP_GIO_GLOBAL     320
#define BIOSHELP_GIO_INSTANCE   420

#define BIOSHELP_BUF_GLOBAL     321
#define BIOSHELP_BUF_INSTANCE   421

#define BIOSHELP_PWRM_GLOBAL    322
#define BIOSHELP_PWRM_INSTANCE  422

#define BIOSHELP_MSGQ_GLOBAL    323
#define BIOSHELP_MSGQ_INSTANCE  423

#define BIOSHELP_POOL_GLOBAL    324
#define BIOSHELP_POOL_INSTANCE  424

#define BIOSHELP_ECM_GLOBAL     325
#define BIOSHELP_ECM_INSTANCE   425

#define BIOSHELP_SYSTEM_FOLDER  500
#define BIOSHELP_INS_FOLDER     501
#define BIOSHELP_SCH_FOLDER     502
#define BIOSHELP_SYN_FOLDER     503
#define BIOSHELP_IOF_FOLDER     504
#define BIOSHELP_DEV_FOLDER     505
#define BIOSHELP_CSL_FOLDER     1000
